Package org.eclipse.wst.xsl.ui.internal.validation

## org.eclipse.wst.xsl.ui.internal.validation
Class DelegatingSourceValidatorForXSL

    public class DelegatingSourceValidatorForXSL
    extends DelegatingSourceValidator

This performs the as-you-type validation for xsl files

## Constructor Summary

`DelegatingSourceValidatorForXSL()`

## Method Summary

`protected IValidator` | `getDelegateValidator()`
`protected void` | `updateValidationMessages(java.util.List messages , IDOMDocument document , IReporter reporter)`
`public void` | `validate(IValidationContext helper , IReporter reporter)`

## Constructor Detail

## DelegatingSourceValidatorForXSL

`public DelegatingSourceValidatorForXSL()`

Constructor

## Methods Detail

## getDelegateValidator

`protected IValidator getDelegateValidator()`

### Returns

`IValidator`

## updateValidationMessages

`protected void updateValidationMessages(java.util.List messages , IDOMDocument document , IReporter reporter)`

### Parameters

`messages`

`document`

`reporter`

## validate

`public void validate(IValidationContext helper , IReporter reporter)`

### Parameters

`helper`

`reporter`

### Throws:

`ValidationException`